A.8. « checksetup.pl » signale « Client does not support authentication protocol requested by server… »

Cette erreur survient car vous utilisez le nouveau chiffrement de mot de passe fourni avec MySQL 4.1 alors que votre module DBD::mysql a été compilé pour une version antérieure de MySQL. Si vous recompilez DBD::mysql avec les bibliothèques actuelles de MySQL (ou si vous obtenez un nouvelle version de ce module) alors l'erreur peut disparaître.

Si cela ne corrige pas votre problème ou si vous ne pouvez pas recompiler le module existant (par ex. si vous utilisez Windows) et/ou que vous ne voulez pas le remplacer (par ex. vous voulez conserver une version empaquetée), alors, un moyen de contournement est disponible sur la documentation de MySQL : http://dev.mysql.com/doc/mysql/en/Old_client.html